
var timer = null,
// 数据交互
data = {
    bannerData: function () {
        // 商品图片
        common.swiper(); //放到成功函数里执行
    },

    guessList: function () {
        // 猜你喜欢
        common.guessList(); //放到成功函数里执行
    },

    participateUser: function () {
        // 本期参与用户
    },

    darrage: function () {
        // 弹幕  请求成功 加以下代码
        var oD = function () {
            $.ajax({
                url: '/order/LatestResult',
                success: function (str) {
                    var oDta = eval(str);
                    product_details.dataQ(oDta);
                }
            });
        }
        oD();
        setInterval(oD, 95000);
    },

    deteAddCart: function (ev) {
        // 确定加入清单 购物车
        $.post("/cart/add",
	    {
	        "orderid": $("#horderid").val(),
	        "addcount": $("#listorderSelectNum").val()
	    },
	        function (data) {
	            mLayer(ev);
	            common.sucLayer();
	            $('.shop_cart em').addClass('expand');
	            $('.shop_cart em').text(data);
	            setTimeout(function () {
	                $('.shop_cart em').removeClass('expand');
	            }, 500);

                //异步请求购物车数量
	            $.get("/cart/cartcount",
	                function(data) {
	                    $(".shop_cart").html(data);
	                });
	        });
    },

    buyImm: function () {
        //  确定立即购买
        $.post("/cart/add",
	    {
	        "orderid": $("#horderid").val(),
	        "addcount": $("#BuySelectOrderNum").val()
	    },
	        function (data) {
	            if (parseInt(data)>0) {
	                window.location.href = "/cart/list";
	            }
	        });
    },

    addSubBtn: function () {
        //product_details.addSubBtn(50, 5000);
    },
    myQBNumber: function (orderId,out_trade_num,fn) {
        $.get("/pay/QbaoNumber",
          { "orderId": orderId, "out_trade_no": out_trade_num },
          function (data) {
              $('.popup ul').empty();
              $('.popup ul').append(data);
              fn();
          });
    }

},

// ui 交互
product_details = {
    init: function () {
        data.bannerData();
        data.addSubBtn()
        data.guessList();
        data.participateUser();
        this.myQBNumber();
        this.addSub();
        this.share();
        this.darrage();


    },

    myQBNumber: function () {
        common.isTrue($('.my_qb ul li a')[0], function (_this) {
            _this.isMove($('.my_qb ul li a'), function (th) {
                data.myQBNumber($("#horderid").val(), 0, function () {
                    $('.m_layer').addClass('show');
                    $('.popup').addClass('show open_number');

                    var swiper = new Swiper('#popup_n', {
                        scrollContainer: true,
                        slidesPerView: 'auto',
                        direction: 'vertical',
                        freeMode: true
                    });
                });
            });
            
        });
        $('.popup')[0].addEventListener('touchend', function (ev) {
            ev.cancelBubble = true;
        }, false);
        
    },

    addSub: function () {
        for (var i = 0; i < $('.bt_layer').length; i++) {
            $('.bt_layer')[i].addEventListener('touchend', function (ev) {
                ev.cancelBubble = true;
            }, false);
        }

        // 加强获取焦点
        common.isMove($('edit_qb .add_sub span'), function () {
            $('edit_qb .add_sub span').focus();
        });

        function popup(obg) {
            $('.m_layer').addClass('show');
            $(obg).addClass('opends show');
            $('html,body').css({
                'height': '100%',
                'overflow': 'hidden'
            })
        }
        // 加入清单
        common.isMove($('.purchase_btn .add_shp_cart'), function () {
            popup('#pur_layer');
        });

        // 加入清单
        common.isMove($('.purchase_btn .ann_qb_btn'), function () {
            popup('#purchase');
        });

        // 确认加入
        common.isMove($('#add_detailed'), function (_this, ev) {
            data.deteAddCart(ev);
        });

        // 确定购买
        common.isMove($('#buy_immediately'), function () {
            data.buyImm();
        });
    },

    share: function () {
        $('.share_box')[0].addEventListener('touchend', function (ev) {
            ev.cancelBubble = true;
        }, false);

        for (var i = 0; i < $('.share_box li a').length; i++) {
            $('.share_box li a')[i].addEventListener('touchend', function (ev) {
                ev.cancelBubble = true;
            }, false);
        }
        $('.share_box li').on('touchstart', function (ev) {
            ev.cancelBubble = true;
        });

        common.isMove($('.share'), function () {
            $('.m_layer').addClass('show');
            $('.share_box').addClass('opends show');
        });

        common.isMove($('.share_box .cancel'), function (ev) {
            ev.cancelBubble = true;
            $('.m_layer').removeClass('show');
            $('.share_box').removeClass('opends show');
        });
    },

    darrage: function () {
        data.darrage();
    },

    dataQ: function (oDta) {
        var showDarrage = function (url, str) {
            $('.barrge_box').html('\
				<div class="barrage">\
				<dl>\
					<dt><span><img src="'+ url + '" alt=""></span></dt>\
					<dd>'+ str + '</dd>\
				</dl>\
			</div>');
        }

        var showDraage = function (oDta) {
            var iNum = 0;
            setTimeout(function () {
                showDarrage(oDta[0].url, oDta[0].str);//5s 4s
                clearInterval(timer);
                timer = setInterval(function () { // 9s
                    iNum++;
                    if (!oDta[iNum]) return;
                    setTimeout(function () { // 5s
                        showDarrage(oDta[iNum].url, oDta[iNum].str); // 4s
                    }, 5000);
                }, 9000);
            }, 5000);
        }
        showDraage(oDta);
        // setInterval(function(){
        // 	showDraage(oDta);
        // },90000);
    },

    addSubBtn: function (iMin, iMax) {
        common.isMove($('.sub_btn'), function (_this) {
            var oInp = $(_this).parent().find('input'), iNum = parseInt(oInp.val());
            iNum < iMin && oInp.val(iMin);
            if (iNum <= iMin) return;
            iNum -= iMin;
            oInp.val(iNum);
        });

        common.isMove($('.add_btn'), function (_this) {
            var oInp = $(_this).parent().find('input'), iNum = parseInt(oInp.val());
            iNum > iMax && oInp.val(iMax);
            if (iNum >= iMax) return;
            iNum += iMin;
            oInp.val(iNum);
        });
        
        $('.pur_layer .edit_qb input').on('blur', function () {
            if (parseInt($(this).val()) < iMin || $(this).val() == '') {
                $(this).val(iMin);
            }
            else if (parseInt($(this).val()) > iMax) {
                $(this).val(iMax);
            }
        });

        common.isMove($('.pur_all'), function (_this) {
            $(_this).parent().prev().find('input').val(iMax);
        });

        common.isMove($('.switch_mode a'), function (_this) {
            var oInp = $(_this).parent().prev().find('input');
            if (!$(_this).hasClass('pur_all')) {
                if ($(oInp).val() == '') {
                    $(oInp).val(iMin);
                }
                var iNum = parseInt(oInp.val());
                oInp.val(iNum += parseInt($(_this).text()));
                if (parseInt(oInp.val()) > iMax) {
                    oInp.val(iMax);
                }
            }
        });
    }
};

product_details.init();